<?php

declare(strict_types=1);

namespace App\Controller\TblNotificacionUsuario;

use App\Service\TblNotificacionUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblNotificacionUsuarioService(): TblNotificacionUsuarioService
    {
        return $this->container->get('TblNotificacionUsuario_service');
    }
}
